@import url("../main-loader.css");

.master-wrapper{
    width: 100%;
    display: flex;
    flex-direction: column
}

a *{
    pointer-events: none;
}
*{
  scrollbar-width: thin;
}
*::-webkit-scrollbar{
  width: 5px;
}
#app{
    position: relative;
}
.w-full-width{
  width: 100% !important;
}
.buskool-button {
  display: inline-flex;
  height: 40px;
  padding: 0 24px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  border-radius: 8px;
  user-select: none;
  text-align: center;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: .25px;
  transition: all .2sease-in;
  cursor: pointer;
}
.color-outline {
  color: #ff8603;
  border: 1px solid #ff8603;
}
.size-2, .size-3 {
  border-radius: 100px;
  font-size: 14px;
  font-weight: 500;
}
.main-loader-wrapper{
    width: 100%;
    height: 100%;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
button{
    background-color: transparent;
    border: 0;
    box-shadow: unset;
  }
  .icon-button{
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .icon-button span{
    display: flex;
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    cursor: pointer;
  }
  .icon-button:hover span{
    background-color: #f2f3f7;
  }
  .icon-button svg{
    width: 24px;
    height: 24px;
  }
  @keyframes slideInFromBottom {
    0% {
        transform: translateY(100%);
    }
    100% {
        transform: translateY(0);
    }
  }
  @keyframes animatetop {
    from {bottom:-50px; opacity:0}
    to {bottom:0; opacity:1}
  }
  @keyframes close-animatetop {
    from {bottom:0; opacity:1}
    to {bottom:-50px; opacity:0}
  }
/*==================== search product modal ========================*/
#search-modal{
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 1020;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: #ffffff;
    /* padding: 16px; */
    direction: rtl;
}
#search-modal .search-modal-header
{
  display: flex;
  width: 100%;
  height: 72px;
  padding: 0 24px;
  border-bottom: 0.5px solid #EDEDED;
  box-shadow: 0px 1px 4px rgba(151, 151, 151, 0.1);
}
#search-modal .search-modal-input-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
}
#search-modal .search-modal-input-wrapper .reset-search-button > svg {
  width: 20px;
}
#search-modal .search-modal-input-wrapper .close-search-modal > svg {
    width: 20px;
    height: 20px;
}
#search-modal .search-modal-input-wrapper input {
    padding: 0 35px 0 30px;
    border: 0;
    /* border-bottom: 1px solid #757575; */
    border-radius: 0;
    height: 27px;
    font-size: 16px;
}
#search-modal .search-modal-input-wrapper input::placeholder {
    font-size: 14px;
}
#search-modal .search-modal-input-wrapper > .close-search-modal {
    position: absolute;
    background: none;
    border: none;
    padding: 0;
    display:flex;
    cursor: pointer;
}
#search-modal .search-modal-input-wrapper > .reset-search-button {
    position: absolute;
    left: 15px;
    background: none;
    border: none;
    padding: 0;
    width: 20px;
    height: 20px;
}
#search-modal .search-modal-input-wrapper > .reset-search-button svg{
    pointer-events: none;
    width: 20px;
    height: 20px;
}
#search-modal .search-result-container
{
  padding: 0 16px;
}
#search-modal .search-text-temp
{
display: flex;
align-items: center;
gap: 16px;
height: 59px;
border-bottom: 1px solid #EDEDED;
}
#search-modal .search-text-temp svg
{
width: 24px;
height: 24px;
}
#search-modal .search-text-temp p
{
font-weight: 400;
font-size: 16px;
line-height: 27px;
}
#search-modal .search-loader {
    width: 100px;
    height: 100px;
    margin: auto;
    margin-top: 24px;
}
#search-modal .search-loader img {
    width: 100%;
    height: 100%;
}

/* .search-result-list{ */
#search-modal .search-result-container{
  height: calc(100vh - 122px);
  overflow-y: scroll;
}
/*========== share modal =========================*/
.share-modal-wrapper {
    user-select: none;
  }
  .share-modal-wrapper{
      width: 100%;
      height: 100%;
      position: fixed;
      z-index: 1020;
      top: 0;
      right: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: rgba(0, 0, 0, 0.40);
      direction: rtl;
  }
  .share-modal-container{
    width: 100%;
    max-width: 500px;
    max-height: 80vh;
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    border-radius: 8px;
    position: relative;
  }
  .share-modal-wrapper.show-modal{
    animation: 0.3s  animatetop;
  }
  .share-modal-wrapper.closing-animation-desktop {
    animation:0.3s  close-animatetop;
  }
  .share-modal-wrapper .share-modal-container.show-modal{
    animation: 0.3s  animatetop;
  }
  .share-modal-wrapper .share-modal-container.closing-animation-desktop {
    animation:0.3s  close-animatetop;
  }
  .share-modal-container.hide-modal{
    transition: transform 0.4s ease-out;
    transform : translateY(300%);
  }
  .share-modal-header{
    border-bottom: 1px solid #e5e5e5;
  }
  .share-modal-header-container{
    display: grid;
    grid-template-columns: 48px auto 48px;
    padding:4px;
    align-items: center;
    gap: 12px;
    background-color:  #ffffff;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
  }
  .share-modal-header-container svg{
    width: 24px;
    height: 24px;
  }
  .share-modal-header-container .icon-button.no-hover{
    pointer-events: none;
  }
  .share-modal-title p{
    text-align: center;
    color: #1D1B20;
    text-align: center;
    font-size: 18px;
    font-weight: 500;
    line-height: 31px;
  }
  .share-modal-body{
    padding: 20px 16px;
  }
  .button{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: auto;
    padding: 8px 0;
    color: #777;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
    line-height: 1.1;
    letter-spacing: 0;
    text-transform: capitalize;
    text-decoration: none;
    white-space: nowrap;
    border-radius: 4px;
    border: 1px solid #ddd;
    cursor: pointer;
    width: 100%;
    margin: 5px auto;
    direction: rtl;
  }
  .button svg{
    width: 24px;
    height: 24px;
    margin: 0 7px;
  }
  .copy-link, .share-button {
    max-width: 130px;
    background: #fff;
  }
  .targets {
    margin-bottom: 24px;  
  }
  
 .share-modal-body .link {
    height: auto;
    justify-content: center;
    align-items: center;
    padding: 10px !important;
    border-radius: 4px;
    background-color: #eee !important;
    display: grid;
    grid-template-columns: 100px auto;
  }
  
  .pen-url {
    margin-right: 15px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    text-align: left;
    direction: ltr;
  }
  .share-modal-wrapper #snackbar {
    visibility: hidden;
    min-width: 250px;
    margin-left: -125px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 1090;
    left: 50%;
    bottom: 30px;
    font-size: 17px;
    direction: rtl;
  }
  
  .share-modal-wrapper #snackbar.show {
    visibility: visible;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
  }
  
  @-webkit-keyframes fadein {
    from {
      bottom: 0;
      opacity: 0;
    }
    to {
      bottom: 30px;
      opacity: 1;
    }
  }
  
  @keyframes fadein {
    from {
      bottom: 0;
      opacity: 0;
    }
    to {
      bottom: 30px;
      opacity: 1;
    }
  }
  
  @-webkit-keyframes fadeout {
    from {
      bottom: 30px;
      opacity: 1;
    }
    to {
      bottom: 0;
      opacity: 0;
    }
  }
  
  @keyframes fadeout {
    from {
      bottom: 30px;
      opacity: 1;
    }
    to {
      bottom: 0;
      opacity: 0;
    }
  }
.orange-button {
  margin: 15px 0 0;
  display: inline-block;
  color: #fff;
  padding: 10px 25px;
  border-radius: 3px;
  text-align: center;
  font: 13px;
  font-weight: 700;
  border: none;
  background-color: #ff9828;
  line-height: 24px;
}
.filled-black {
  background: #030303;
  color: #FFF;
}
@media (min-width: 992px) {
  #app-sheet{
    display: none;
  }
}
@media all and (display-mode: standalone) {
/* .search-result-list{ */
    #search-modal .search-result-container {
    height: calc(100vh - 68px);
    }
}
@media (max-width: 991px) {
  .download-sheet-app-wrapper{
    direction: rtl;
    position: fixed;
    z-index: 1000;
    bottom: -100px;
    width: 100%;
    height: 56px;
    display: flex;
    padding: 0px 4px 0px 12px;
    display: grid;
    grid-template-columns: 48px auto;
    align-items: center;
    background: #FEF5EC;
    box-shadow: 0px -4px 8px 0px rgba(116, 116, 116, 0.10);
    transition: bottom 0.5s ease-in-out;
}
#app-sheet.bottom-59{
    bottom: 59px;
}
.app-sheet-info-container{
    display: grid;
    grid-template-columns: 50px auto 63px;
    align-items: center;
}
.sheet-logo-container{
    width: 50px;
    height: 50px;
    background: url('../../../images/gifs/download-app.gif') no-repeat;
    background-position:  center;
    background-size:  100% 100%;
}
.sheet-description{
    color: #000000;
    text-align: right;
    font-size: 12px;
    font-weight: 500;
    line-height: 20px;
}
      
}
@media (max-width: 768px) {
    .share-modal-wrapper .share-modal-container.show-modal{
      animation: 0.4s ease-out 0s 1 slideInFromBottom;
    }
    .share-modal-container {
      height: 100%;
      max-width: unset;
      max-height: unset;
      border-radius: 0;
    }
    .icon-button:hover span{
      background-color: unset;
    }
}